Index: /contrib/Resources/inc/class.uiresourcescal.inc.php
===================================================================
--- /contrib/Resources/inc/class.uiresourcescal.inc.php	(revision 4362)
+++ /contrib/Resources/inc/class.uiresourcescal.inc.php	(revision 4362)
@@ -0,0 +1,682 @@
+<?php
+  /**************************************************************************\
+  * eGroupWare - resources                                                    *
+  * http://www.eGroupWare.org                                                *
+  * Maintained and further developed by RalfBecker@outdoor-training.de       *
+  * Based on Webresources by Craig Knudsen <cknudsen@radix.net>               *
+  *          http://www.radix.net/~cknudsen                                  *
+  * Originaly modified by Mark Peters <skeeter@phpgroupware.org>             *
+  * --------------------------------------------                             *
+  *  This program is free software; you can redistribute it and/or modify it *
+  *  under the terms of the GNU General Public License as published by the   *
+  *  Free Software Foundation; either version 2 of the License, or (at your  *
+  *  option) any later version.                                              *
+  \**************************************************************************/
+
+
+	class uiresourcescal
+	{
+		var $dbb;
+		var $template;
+		var $cat;
+		var $debug = False;
+		var $cat_id;
+		var $theme;
+		var $link_tpl;
+		var $public_functions = array(
+		
+		'search4' => True,'search5' => True		
+		);
+
+
+
+
+	var $prefs;
+	
+	var $bo;
+
+	var $link;
+	
+	var $tmpl;
+
+	var $html;
+
+	var $duration_format = ',';	// comma is necessary!
+	
+	
+
+
+var $optionldap;
+
+
+		
+
+
+	function search4()
+		{
+			$this->bo = CreateObject('resources.boresources',1);
+			
+$this->today = date('Ymd',$GLOBALS['phpgw']->datetime->users_localtime);
+
+
+
+		
+			$error = '';
+
+
+
+			$matches = 0;
+
+
+if (isset($_REQUEST['fecha'])){
+list($dia,$mes,$ano)=split("/",$_REQUEST['fecha']);
+if (isset($_REQUEST['fecha2'])){
+list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha2']);
+}else{
+	list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha']);
+	
+}
+if(isset($_REQUEST['hora'])){
+list($horai,$minutoi,$horaf,$minutof)=split(":",$_REQUEST['hora']);
+}else{
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+}
+	$starttimea = $this->bo->maketime2(0,0,0,$dia,$mes,$ano,'am') - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+}else{
+	$localtime = $GLOBALS['phpgw']->datetime->users_localtime;
+	$ano = date('Y',$localtime);
+	$mes = date('m',$localtime);
+	$dia = date('d',$localtime);					
+	$ano2 = date('Y',$localtime);
+	$mes2 = date('m',$localtime);
+	$dia2 = date('d',$localtime);
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+
+
+
+}
+
+$pm='pm';
+if($horaf<12){
+	$pm='am';
+}else{
+	$horaf=$horaf-12;
+}
+$am='am';
+if($horai>11){
+	$am='pm';
+	$horai=$horai-12;
+	
+}
+
+
+	$starttime = $this->bo->maketime2($horai,$minutoi,0,$dia,$mes,$ano,$am) - $GLOBALS['phpgw']->datetime->tz_offset;
+$starttime2 = $this->bo->maketime2($horaf,$minutof,59,$dia2,$mes2,$ano2,$pm) - $GLOBALS['phpgw']->datetime->tz_offset;
+
+$location='';
+if($_GET['id']!=''){
+$location=$_GET['id'];}else{
+$location='n/a';}
+
+		$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+		
+		
+		
+if($_GET['calid']!='0'){
+$l_ids=array($_GET['calid']);
+}else{
+	$l_ids=0;
+}
+$events=$this->bo->overlap($starttime,$starttime2,Array(),0,$l_ids,'False',$location);
+
+				print_debug('Date',$date_to_eval);
+				print_debug('Count',count($events));
+
+if(count($events)>0){
+				foreach($events as $event)
+				{
+					if ($this->bo->rejected_no_show($event))
+					{
+						continue;	// user does not want to see rejected events
+					}
+					if ($event['recur_type'])	// calculate start- + end-datetime for recuring events
+					{
+						$this->bo->set_recur_date($event,$date_to_eval);
+					}
+				
+
+				}
+}
+			$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+
+			$matches = count($event);
+
+$hay="Para el ".$dia."/".$mes."/".$ano."  en la sala: ".$location ." y a la hora indicada esta ocupada por:";
+				
+			if ($matches == 1)
+			{
+				$quantity = lang('1 match found').'.';
+			}
+			elseif ($matches > 0)
+			{
+				$quantity = lang('%1 matches found',$matches).'.';
+			}
+			else
+			{
+				$nohay="Para el ".$dia."/".$mes."/".$ano."  en la sala: ".$location ." y a la hora indicada por ud esta disponible.";
+				
+			}
+
+	
+
+$script='';
+
+		
+
+	
+
+	?>
+	<html>
+	<head>
+	<title>Expresso CNTI [Recursos]</title>
+		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+		<meta name="language" content="es-es" />
+		<link rel="icon" href="calendar/templates/default/images/navbar.png" type="image/x-ico" />
+		<link rel="shortcut icon" href="calendar/templates/default/images/navbar.png" />
+		<META http-equiv="Default-Style" content="eGroupWareStyle">
+		
+		<script src="phpgwapi/templates/default/js/simple_show_hide.js" type="text/javascript">
+		</script>
+		<!-- This solves the Internet Explorer PNG-transparency bug, but only for IE 5.5 and higher --> 
+		<!--[if lt IE 7]>
+		<script src="/expresso/phpgwapi/templates/default/js/pngfix.js" type="text/javascript">
+		</script>
+		<![endif]-->
+
+		<style type="text/css">
+<!--
+	.row_on { color: #000000; background-color: #f4f8fb; }
+	.row_off { color: #000000; background-color: #ffffff; }
+	.th { color: #000000; background-color: #D3DCE3; }
+	
+-->
+</style>
+<LINK href="phpgwapi/templates/default/css/base.css" type="text/css" rel="StyleSheet"><LINK href="phpgwapi/templates/default/css/azul.css" type="text/css" rel="StyleSheet"><LINK href="/expresso/calendar/templates/default/app.css" type="text/css" rel="StyleSheet">
+
+		<link rel="stylesheet" type="text/css" media="all" href="phpgwapi/js/jscalendar/calendar-win2k-cold-1.css" title="" />
+<script type="text/javascript" src="phpgwapi/js/jscalendar/calendar.js"></script>
+<script type="text/javascript" src="phpgwapi/inc/jscalendar-setup.php"></script>
+
+
+		<script src="phpgwapi/templates/default/js/cookieManager.js" type="text/javascript"></script>
+	</head>
+
+	<!-- we don't need body tags anymore, do we?) we do!!! onload!! LK -->
+	<body  bgcolor="#FFFFFF" alink="red" link="blue" vlink="blue" >
+
+	<?php
+
+	if(count($events)>0){
+		
+		
+	echo $hay;?><br><br>
+		<table><tr class="th">
+	
+<td width="150">Nombre</td>
+		
+<td width="300">Descripci&oacute;n</td>
+			
+	
+<td width="100">Responsable</td>
+
+<td width="100">Hora</td>
+
+			
+			</tr>
+	
+	<?php 
+	
+	
+			foreach($events  as $id => $data)
+			{
+
+				$datetime = $this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+if($data['public']==1){
+	$descripcion=$data['description'];
+	$name=$data['title'];
+}else{
+	$descripcion='-';
+	$name='Privado';
+}
+
+$dueno=$this->get_account_name($data['owner'],'gecos');
+echo "<tr><td>".$name."</td><td>".$descripcion."</td><td>".$dueno."</td><td> ".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['start']))."-".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['end']))."</td></tr>";
+
+
+
+
+			}
+			}else{		
+				echo $nohay;
+			}
+			?>
+
+		
+		</table>
+	</td>
+	</tr>
+	</table>
+	</body>
+	</html>
+
+	<?php 
+	
+
+		/*	if($matches > 0)
+			{
+		//		$p->parse('rows','search_list_footer',True);
+			}*/
+
+		//	$p->pparse('out','search');
+		}
+		
+
+
+
+
+	function search5()
+		{
+			$this->bo = CreateObject('resources.boresources',1);
+			
+$this->today = date('Ymd',$GLOBALS['phpgw']->datetime->users_localtime);
+
+
+
+		
+			$error = '';
+
+
+
+			$matches = 0;
+
+
+if (isset($_REQUEST['fecha'])){
+list($dia,$mes,$ano)=split("/",$_REQUEST['fecha']);
+if (isset($_REQUEST['fecha2'])){
+list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha2']);
+}else{
+	list($dia2,$mes2,$ano2)=split("/",$_REQUEST['fecha']);
+	
+}
+if(isset($_REQUEST['hora'])){
+list($horai,$minutoi,$horaf,$minutof)=split(":",$_REQUEST['hora']);
+}else{
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+}
+	$starttimea = $this->bo->maketime2(0,0,0,$dia,$mes,$ano,'am') - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+}else{
+	$localtime = $GLOBALS['phpgw']->datetime->users_localtime;
+	$ano = date('Y',$localtime);
+	$mes = date('m',$localtime);
+	$dia = date('d',$localtime);					
+	$ano2 = date('Y',$localtime);
+	$mes2 = date('m',$localtime);
+	$dia2 = date('d',$localtime);
+	$horai=0;
+	$minutoi=0;
+	$horaf=23;
+	$minutof=59;
+
+
+
+}
+
+$pm='pm';
+if($horaf<12){
+	$pm='am';
+}else{
+	$horaf=$horaf-12;
+}
+$am='am';
+if($horai>11){
+	$am='pm';
+	$horai=$horai-12;
+	
+}
+
+
+	$starttime = $this->bo->maketime2($horai,$minutoi,0,$dia,$mes,$ano,$am) - $GLOBALS['phpgw']->datetime->tz_offset;
+$starttime2 = $this->bo->maketime2($horaf,$minutof,59,$dia2,$mes2,$ano2,$pm) - $GLOBALS['phpgw']->datetime->tz_offset;
+
+$location='';
+if($_GET['id']!=''){
+$location=$_GET['id'];}else{
+$location='n/a';}
+
+		$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+		//echo $_GET['participants'].size;
+
+
+		
+		
+		  
+//$participantes=Array($_GET['participants']);
+		$partes=split(",",$_GET['participants']);
+
+					$l_participants = array();
+
+		for ($i = 0; $i < count($partes); $i++) {
+    $l_participants[$partes[$i]]='U';
+}	
+
+if($_GET['calid']!='0'){
+$l_ids=array($_GET['calid']);
+}else{
+	$l_ids=0;
+}
+
+					
+$events=$this->bo->overlap($starttime,$starttime2,$l_participants,0,$l_ids,'False');
+
+
+//$events=$this->bo->overlap($starttime,$starttime2,Array(),0,0,'False',$location);
+
+				print_debug('Date',$date_to_eval);
+				print_debug('Count',count($events));
+
+if(count($events)>0){
+				foreach($events as $event)
+				{
+					if ($this->bo->rejected_no_show($event))
+					{
+						continue;	// user does not want to see rejected events
+					}
+					if ($event['recur_type'])	// calculate start- + end-datetime for recuring events
+					{
+						$this->bo->set_recur_date($event,$date_to_eval);
+					}
+				
+
+				}
+}
+			$date_to_eval = sprintf("%04d%02d%02d",$ano,$mes,$dia);
+
+			$matches = count($event);
+
+$hay="Para el ".$dia."/".$mes."/".$ano."  y a la hora indicada por ud esta(n) ocupados los participantes:";
+				
+			if ($matches == 1)
+			{
+				$quantity = lang('1 match found').'.';
+			}
+			elseif ($matches > 0)
+			{
+				$quantity = lang('%1 matches found',$matches).'.';
+			}
+			else
+			{
+				$nohay="Para el ".$dia."/".$mes."/".$ano." y a la hora indicada por ud estan disponible los participantes.";
+				
+			}
+
+	
+
+$script='';
+
+	
+
+	?>
+	<html>
+	<head>
+	<title>Expresso CNTI [Recursos]</title>
+		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
+		<meta name="language" content="es-es" />
+		<link rel="icon" href="calendar/templates/default/images/navbar.png" type="image/x-ico" />
+		<link rel="shortcut icon" href="calendar/templates/default/images/navbar.png" />
+		<META http-equiv="Default-Style" content="eGroupWareStyle">
+		
+		<script src="phpgwapi/templates/default/js/simple_show_hide.js" type="text/javascript">
+		</script>
+		<!-- This solves the Internet Explorer PNG-transparency bug, but only for IE 5.5 and higher --> 
+		<!--[if lt IE 7]>
+		<script src="/expresso/phpgwapi/templates/default/js/pngfix.js" type="text/javascript">
+		</script>
+		<![endif]-->
+
+		<style type="text/css">
+<!--
+	.row_on { color: #000000; background-color: #f4f8fb; }
+	.row_off { color: #000000; background-color: #ffffff; }
+	.th { color: #000000; background-color: #D3DCE3; }
+	
+-->
+</style>
+<LINK href="phpgwapi/templates/default/css/base.css" type="text/css" rel="StyleSheet"><LINK href="phpgwapi/templates/default/css/azul.css" type="text/css" rel="StyleSheet"><LINK href="/expresso/calendar/templates/default/app.css" type="text/css" rel="StyleSheet">
+
+		<link rel="stylesheet" type="text/css" media="all" href="phpgwapi/js/jscalendar/calendar-win2k-cold-1.css" title="" />
+<script type="text/javascript" src="phpgwapi/js/jscalendar/calendar.js"></script>
+<script type="text/javascript" src="phpgwapi/inc/jscalendar-setup.php"></script>
+
+
+		<script src="phpgwapi/templates/default/js/cookieManager.js" type="text/javascript"></script>
+	</head>
+
+	<!-- we don't need body tags anymore, do we?) we do!!! onload!! LK -->
+	<body  bgcolor="#FFFFFF" alink="red" link="blue" vlink="blue" >
+
+	<?php  		
+if(count($events)>0){
+	
+	
+	echo $hay;?><br><br>
+		<table><tr class="th">
+	
+<td width="150">Nombre</td>
+		
+<td width="300">Descripci&oacute;n</td>
+			
+	
+<td width="100">Responsable</td>
+
+<td width="100">Participantes</td>
+
+
+<td width="100">Hora</td>
+
+			
+			</tr>
+	
+	<?php 
+	
+	
+			foreach($events  as $id => $data)
+			{
+
+				$datetime = $this->bo->maketime($event['start']) - $GLOBALS['phpgw']->datetime->tz_offset;
+
+
+if($data['public']==1){
+	$descripcion=$data['description'];
+	$name=$data['title'];
+}else{
+	$descripcion='-';
+	$name='Privado';
+}
+
+$dueno=$this->get_account_name($data['owner'],'gecos');
+
+
+$participantesreunion="";
+			$overlapped_event = $this->bo->read_entry2($data['id'],True);
+			
+		//	echo "rrrr".$overlapped_event."lllll".count($overlapped_event);
+			
+			 $participantesreunion="";
+				foreach($overlapped_event['participants'] as $id => $status)
+				{
+					//$conflict = isset($event['participants'][$id]);
+					for ($i = 0; $i < count($partes); $i++) {
+						//echo $partes[$i];
+						if($partes[$i]==$id)
+						$participantesreunion .= '<li>'.$GLOBALS['phpgw']->common->grab_owner_name($id)."</li>";
+						
+					}
+					
+						
+				}
+
+echo "<tr><td>".$name."</td><td>".$descripcion."</td><td>".$dueno."<td>".$participantesreunion."</td><td> ".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['start']))."-".$GLOBALS['phpgw']->common->show_hour($this->bo->maketime($data['end']))."</td></tr>";
+
+
+
+
+			}
+			}else{		
+				echo $nohay;
+			}	
+			?>
+
+		
+		</table>
+	</td>
+	</tr>
+	</table>
+	</body>
+	</html>
+<?php 
+	
+		/*	if($matches > 0)
+			{
+		//		$p->parse('rows','search_list_footer',True);
+			}*/
+
+		//	$p->pparse('out','search');
+		}
+
+
+function get_type($account_id)
+		{
+			$allValues = array();
+			/* jakjr: using justthese with ldap_search */
+			$sri = @ldap_search($this->ds, $this->user_context, '(&(uidnumber=' . (int)$account_id . ')(phpgwaccounttype=u))', array("phpgwaccounttype"));
+			if(!$sri)
+				return False;
+			$allValues = ldap_get_entries($this->ds, $sri);
+
+			if ($allValues[0]['phpgwaccounttype'][0])
+			{
+				return $allValues[0]['phpgwaccounttype'][0];
+			}
+
+			$allValues = array();
+			/* jakjr: using justthese with ldap_search */
+			$sri = @ldap_search($this->ds, $this->group_context, '(&(gidnumber=' . (int)$account_id . ')(phpgwaccounttype=g))', array("phpgwaccounttype"));
+			if(!$sri)
+				return False;
+			$allValues = ldap_get_entries($this->ds, $sri);
+
+			if ($allValues[0]['phpgwaccounttype'][0])
+			{
+				return $allValues[0]['phpgwaccounttype'][0];
+			}
+			return False;
+		}
+
+		
+		
+
+function get_account_name($account_id,$valor)
+		{
+			$this->user_context  = $GLOBALS['phpgw_info']['server']['ldap_context'];
+			$this->group_context = $GLOBALS['phpgw_info']['server']['ldap_group_context'];
+			$acct_type = $this->get_type($account_id);
+			$this->ds = $GLOBALS['phpgw']->common->ldapConnect();
+			if(!$this->ds)
+				$this->ds = $GLOBALS['phpgw']->common->ldapConnect();
+			/* jakjr: using justthese with ldap_search */
+			//$justthese = array("cn","uid","givenname","sn","gecos");
+
+			/* search the dn for the given uid */
+
+$justthese = array("uidnumber",  "cn",  "mail","gecos","dn");
+			//	$sri = @ldap_search($this->ds, "ou=usuarios,ou=cnti,dc=gob,dc=ve", ("(&(sn=*)(mail=*@*)(structuralObjectClass=inetOrgPerson)(deliveryMode=virtual))"), $justthese);
+
+			if(($acct_type == 'g') && $this->group_context)
+			{
+				$sri = @ldap_search($this->ds, $this->group_context, '(gidnumber=' . (int)$account_id . ')', $justthese);
+			}
+			else
+			{
+				$sri = @ldap_search($this->ds, $this->user_context, '(uidnumber=' . (int)$account_id . ')', $justthese);
+			}
+
+//echo $this->ds.",". $this->user_context.",". '(uidnumber=' . (int)$account_id . ')'.",". $justthese;
+			if(!$sri)
+				return False;
+			$allValues = ldap_get_entries($this->ds, $sri);
+$retorna="";
+			if($acct_type =='g')
+			{
+				if($valor=='gecos') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['gecos'][0],'utf-8');
+				}
+				if($valor=='uidnumber') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['uidnumber'][0],'utf-8');
+				}
+				if($valor=='cn') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['cn'][0],'utf-8');
+				}
+
+				if($valor=='mail') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['mail'][0],'utf-8');
+				}
+				if($valor=='dn') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['dn'][0],'utf-8');
+				}
+				
+			}
+			else
+			{
+				if($valor=='gecos') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['gecos'][0],'utf-8');
+				}
+				if($valor=='uidnumber') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['uidnumber'][0],'utf-8');
+				}
+				if($valor=='cn') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['cn'][0],'utf-8');
+				}
+
+				if($valor=='mail') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['mail'][0],'utf-8');
+				}
+				if($valor=='dn') {
+					$retorna=$GLOBALS['phpgw']->translation->convert($allValues[0]['dn'][0],'utf-8');
+				}
+				
+
+
+
+			}
+			return $retorna;
+		}
+		
+		
+}
+
+?>
Index: /contrib/Resources/inc/class.boresources.inc.php
===================================================================
--- /contrib/Resources/inc/class.boresources.inc.php	(revision 3524)
+++ /contrib/Resources/inc/class.boresources.inc.php	(revision 4362)
@@ -267,5 +267,5 @@
 			}
 
-			/*$this->so = CreateObject('resources.soresources',
+			$this->so = CreateObject('calendar.socalendar',
 				Array(
 					'owner'		=> $this->owner,
@@ -274,5 +274,5 @@
 					'g_owner'	=> $this->g_owner
 				)
-			);*/
+			);
 			$this->rpt_day = array(	// need to be after creation of soresources
 				MCAL_M_SUNDAY    => 'Sunday',
@@ -589,8 +589,24 @@
 
 			$event = $this->so->read_entry($id);
-				echo $event;
+				//echo $event;
 			
 			
 			return False;
+		}
+		
+		
+	function read_entry2($id,$ignore_acl=False)
+		{
+			
+			
+				$event = $this->so->read_entry($id);
+				if(!isset($event['participants'][$this->owner]) && $this->user_is_a_member($event,$this->owner))
+				{
+					$this->so->add_attribute('participants','U',(int)$this->owner);
+					$this->so->add_entry($event);
+					$event = $this->get_cached_event();
+				}
+				return $this->xmlrpc ? $this->xmlrpc_prepare($event) : $event;
+			
 		}
 
@@ -774,4 +790,5 @@
 
 			
+			
 			$send_to_ui = True;
 			//if ((!is_array($l_start) || !is_array($l_end)) && !isset($_GET['readsess']))	// xmlrpc call
@@ -799,4 +816,5 @@
 					foreach($params['participants'] as $user => $data)
 					{
+						
 						$l_participants[] = $user.$data['status'];
 					}
@@ -1204,4 +1222,5 @@
 				}
 
+				
 				$overlapping_events = $this->overlap(
 					$this->maketime($event['start']),
@@ -1471,5 +1490,5 @@
 		}
 
-		function overlap($starttime,$endtime,$participants,$owner=0,$id=0,$restore_cache=False)
+	function overlap($starttime,$endtime,$participants,$owner=0,$id=0,$restore_cache=False,$location='n/a')
 		{
 //			$retval = Array();
@@ -1478,4 +1497,9 @@
 /* This needs some attention.. by commenting this chunk of code it will fix bug #444265 */
 
+			//	  foreach($id as $c=>$v)
+     		  //   echo "<p>El 565vector con indice $c tiene el valor $v </p>";
+		
+			
+			
 			if($restore_cache)
 			{
@@ -1488,7 +1512,11 @@
 //			$temp_end_time = (int)$GLOBALS['phpgw']->common->show_date($endtime,'Hi');
 			$temp_start = (int)(date('Ymd',$starttime));
+
 			$temp_start_time = (int)(date('Hi',$starttime));
 			$temp_end = (int)(date('Ymd',$endtime));
 			$temp_end_time = (int)(date('Hi',$endtime));
+		//	echo "<br>inicio".$temp_start_time." <br> fin ".$temp_end_time."<br>   ".(int)(date('Hi a',$endtime))."<br>";
+		//	echo "<br>inicio".$temp_start." <br> fin ".$temp_end."<br>   ".(int)(date('Hi a',$endtime))."<br>";
+			
 			if($this->debug)
 			{
@@ -1509,4 +1537,5 @@
 				$users[] = $this->owner;
 			}
+
 
 			$possible_conflicts = $this->store_to_cache(
@@ -1518,5 +1547,6 @@
 					'eday'	=> substr(strval($temp_end),6,2),
 					'eyear'	=> substr(strval($temp_end),0,4),
-					'owner'	=> $users
+					'owner'	=> $users,
+					'location'	=> $location
 				)
 			);
@@ -1527,5 +1557,6 @@
 				echo '<!-- Possible Conflicts ('.$temp_start.'): '.count($possible_conflicts[$temp_start]).' '.count($id).' -->'."\n";
 			}
-
+//echo "aaa".$possible_conflicts[$temp_start];
+//echo "bbbb".$possible_conflicts[$temp_end];
 			if($possible_conflicts[$temp_start] || $possible_conflicts[$temp_end])
 			{
@@ -1569,15 +1600,25 @@
 							$temp_event_end = sprintf("%d%02d",$event['end']['hour'],$event['end']['min']);
 //							if((($temp_start_time <= $temp_event_start) && ($temp_end_time >= $temp_event_start) && ($temp_end_time <= $temp_event_end)) ||
+
+
+			/*}*/
+
+
+
 							if(($temp_start_time <= $temp_event_start &&
-								$temp_end_time > $temp_event_start &&
-								$temp_end_time <= $temp_event_end ||
-								$temp_start_time >= $temp_event_start &&
-								$temp_start_time < $temp_event_end &&
-								$temp_end_time >= $temp_event_end ||
-								$temp_start_time <= $temp_event_start &&
-								$temp_end_time >= $temp_event_end ||
-								$temp_start_time >= $temp_event_start &&
-								$temp_end_time <= $temp_event_end) &&
-								$this->participants_not_rejected($participants,$event))
+								$temp_end_time >= $temp_event_start &&
+								$temp_end_time <= $temp_event_end) ||
+								($temp_start_time <= $temp_event_start &&
+								$temp_end_time >= $temp_event_start &&
+								$temp_end_time >= $temp_event_end)||
+								($temp_start_time <= $temp_event_start &&
+								$temp_end_time >= $temp_event_end) ||		
+
+								($temp_start_time >= $temp_event_start &&
+								$temp_start_time <= $temp_event_end &&
+								$temp_end_time >= $temp_event_end) ||
+								
+								($temp_start_time >= $temp_event_start &&
+								$temp_end_time <= $temp_event_end)) 
 							{
 								if($this->debug)
@@ -1585,5 +1626,5 @@
 									echo ' Conflicts';
 								}
-								$retval[] = $event['id'];
+								$retval[] = $event;
 							}
 							if($this->debug)
@@ -1597,5 +1638,6 @@
 			else
 			{
-				$retval = False;
+				$retval1 = False;
+				$retval = Array();
 			}
 
@@ -2022,9 +2064,14 @@
 			}
 			$repeated = $this->repeating_events;
+
+//echo $repeated."repeat<br>" ;
 			$r_events = count($repeated);
+//echo $r_events."  ".$this->repeating_event[1]. "repeat23<br>" ;
 			for ($i=0;$i<$r_events;$i++)
 			{
 				$rep_events = $this->repeating_events[$i];
+
 				$id = $rep_events['id'];
+//echo $id;
 				$event_beg_day = mktime(0,0,0,$rep_events['start']['month'],$rep_events['start']['mday'],$rep_events['start']['year']);
 				if($rep_events['recur_enddate']['month'] != 0 && $rep_events['recur_enddate']['mday'] != 0 && $rep_events['recur_enddate']['year'] != 0)
@@ -2160,5 +2207,8 @@
 				return False;
 			}
-			if (isset($params['start']) && ($datearr = $GLOBALS['server']->iso86012date($params['start'])))
+$location=$params['location'];
+
+	//echo "location".$location;		
+	if (isset($params['start']) && ($datearr = $GLOBALS['server']->iso86012date($params['start'])))
 			{
 				$syear = $datearr['year'];
@@ -2219,5 +2269,5 @@
 				//Se $emonth nao tem valor, recebe o valor de $smonth (que recebe $params['smonth']) e soma 1.
 				//O valor $params['emonth'] indica o mes final para a pesquisa de eventos, e passou a ser
-				//informado na a impressao de eventos mensais. Mudancas feitas em class.uiresources.inc.php, 
+				//informado na a impressao de eventos mensais. Mudancas feitas em class.uicalendar.inc.php, 
 				//function display_month_print();
 				if(!$emonth)
@@ -2236,5 +2286,5 @@
 				$edate = mktime(23,59,59,$emonth,$eday,$eyear);
 			}
-			//echo "<p>boresources::store_to_cache(".print_r($params,True).") syear=$syear, smonth=$smonth, sday=$sday, eyear=$eyear, emonth=$emonth, eday=$eday, xmlrpc='$param[xmlrpc]'</p>\n";
+			//echo "<p>bocalendar::store_to_cache(".print_r($params,True).") syear=$syear, smonth=$smonth, sday=$sday, eyear=$eyear, emonth=$emonth, eday=$eday, xmlrpc='$param[xmlrpc]'</p>\n";
 			if($this->debug)
 			{
@@ -2248,16 +2298,18 @@
 			if($owner_id)
 			{
-				$cached_event_ids = "";//$this->so->list_events($syear,$smonth,$sday,$eyear,$emonth,$eday,$owner_id);
-				$cached_event_ids_repeating = "";//$this->so->list_repeated_events($syear,$smonth,$sday,$eyear,$emonth,$eday,$owner_id);
+
+				$cached_event_ids = $this->so->list_events($syear,$smonth,$sday,$eyear,$emonth,$eday,$owner_id,$location);
+				$cached_event_ids_repeating = $this->so->list_repeated_events($syear,$smonth,$sday,$eyear,$emonth,$eday,$owner_id,$location);
 			}
 			else
 			{
-				$cached_event_ids = "";//$this->so->list_events($syear,$smonth,$sday,$eyear,$emonth,$eday);
-				$cached_event_ids_repeating = "";//$this->so->list_repeated_events($syear,$smonth,$sday,$eyear,$emonth,$eday);
+
+				$cached_event_ids = $this->so->list_events($syear,$smonth,$sday,$eyear,$emonth,$eday,0,$location);
+				$cached_event_ids_repeating = $this->so->list_repeated_events($syear,$smonth,$sday,$eyear,$emonth,$eday,0,$location);
 			}
 
 			$c_cached_ids = count($cached_event_ids);
 			$c_cached_ids_repeating = count($cached_event_ids_repeating);
-
+//echo "totaless".$c_cached_ids." -  ".$c_cached_ids_repeating;
 			if($this->debug)
 			{
@@ -2274,10 +2326,15 @@
 
 			$cache_start = (int)(sprintf("%04d%02d%02d",$syear,$smonth,$sday));
+
 			$cached_event=$this->get_cached_event();
+
 			if($c_cached_ids)
 			{
+
 				for($i=0;$i<$c_cached_ids;$i++)
 				{
-					$event = "";//$this->so->read_entry($cached_event_ids[$i]);
+					$event = $this->so->read_entry($cached_event_ids[$i]);
+
+//echo "<br>antrrrrroooo".$event['start']."  a ".$event['end']." b ".$event['id'];
 					if ($event['recur_type'])
 					{
@@ -2287,4 +2344,5 @@
 					$enddate = (int)(date('Ymd',$this->maketime($event['end'])));
 					$this->cached_events[$startdate][] = $event;
+//echo "ver".$event['recur_type'].$startdate." ---".$enddate."<br>antrrrrroooo";;
 					if($startdate != $enddate)
 					{
@@ -2294,5 +2352,8 @@
 						for($j=$startdate,$k=0;$j<=$enddate;$k++,$j=(int)(date('Ymd',mktime(0,0,0,$start['month'],$start['mday'] + $k,$start['year']))))
 						{
+
+
 							$c_evt_day = count($this->cached_events[$j]) - 1;
+//echo "<br>aaaa".$c_evt_day."<br>antrrrrroooo"; ;
 							if($c_evt_day < 0)
 							{
@@ -2310,4 +2371,5 @@
 								}
 								$this->cached_events[$j][] = $event;
+//echo "<br>llll:".$event."<br>antrrrrroooo";;
 							}
 							if ($j >= $cache_start && (@$params['no_doubles'] || @$this->xmlrpc))
@@ -2323,7 +2385,10 @@
 			if($c_cached_ids_repeating)
 			{
+//echo "repeaiting".$c_cached_ids_repeating;
+
 				for($i=0;$i<$c_cached_ids_repeating;$i++)
 				{
-					$this->repeating_events[$i] = "";//$this->so->read_entry($cached_event_ids_repeating[$i]);
+					$this->repeating_events[$i] = $this->so->read_entry($cached_event_ids_repeating[$i]);
+//echo "abc".$this->repeating_events[$i]."<br>";
 					if($this->debug)
 					{
@@ -2339,4 +2404,6 @@
 					}
 					$this->check_repeating_events($date);
+
+
 					if($this->debug)
 					{
@@ -2349,7 +2416,10 @@
 				}
 			}
+
+//echo "countt".count($this->cached_events);
 			$retval = Array();
 			for($j=date('Ymd',mktime(0,0,0,$smonth,$sday,$syear)),$k=0;$j<=date('Ymd',mktime(0,0,0,$emonth,$eday,$eyear));$k++,$j=date('Ymd',mktime(0,0,0,$smonth,$sday + $k,$syear)))
 			{
+//echo "vueltaaaa".$j."<br>";
 				if(is_array($this->cached_events[$j]))
 				{
@@ -2359,4 +2429,5 @@
 						{
 							$retval[] = $this->xmlrpc_prepare($event);
+//echo "cachhhhhheeeeeqqq2222".$this->xmlrpc_prepare($event)."<br>";
 						}
 					}
@@ -2364,9 +2435,14 @@
 					{
 						$retval[$j] = $this->cached_events[$j];
-					}
-				}
+						//foreach($this->cached_events[$j][0] as $c=>$v)
+     						//echo "<p>El vector con indice $c tiene el valor $v </p>";
+//echo "cachhhhhheeeeeqqq".$this->cached_events[$j][0]['public']."<br>";
+					}
+				}
+
+
 			}
 			//echo "store_to_cache(".print_r($params,True).")=<pre>".print_r($retval,True)."</pre>\n";
-			//$this->so->cal->event = $cached_event;
+			$this->so->cal->event = $cached_event;
 			return $retval;
 		}
